#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xCB,0xE5,0x9C,0xCA,0x75,0x1F,0x42,0x82,0x4A,0x9F,0x0A,0xEA,
		0x7E,0xF1,0x5C,0xB7,0x7B,0x65,0xDD,0x74,0x45,0x91,0x4F,0xA6,
		0x96,0xB9,0xA5,0xEB,0x26,0xC2,0x2F,0x9E,0x28,0x18,0x5B,0x47,
		0x44,0x44,0x6C,0x42,0xB6,0x31,0xDF,0x1A,0x7E,0x26,0xE5,0x2D,
		0x94,0x3D,0x3F,0x8B,0xD1,0x32,0xB9,0x95,0x08,0xB8,0x3B,0xCE,
		0x84,0x4C,0xD5,0x33,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
